use std::convert::From;


/// Represents a street
pub struct Street {
    name: String,
    city: String,
}

impl From<String> for Street {

}


/// Represents a timezoneless date
pub struct Date {
    day: u8,
    month: u8,
    year: u32,
}


/// Represents a pickup time instance. All fields are a direct map of the
/// original API
pub struct PickupTime {
    date: Date,
    label: String,
    classes: Vec<String>,
    url: String
}
